---
title: "POST /auth/passwordless/verify - Authentication · RUAL Documentation"
description: "POST: Verify the passwordless login code and get access token"
canonical: https://docs.rual.nl/cluster/api/authentication/auth-passwordless-verify-post
language: en
---

# POST /auth/passwordless/verify

Verify the passwordless login code and get access token

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **code** required | `string` | `"INVALID_TYPE"` | 6-character verification code |
| **entity** optional | `string` | `1` | Entity identifier (optional) |
| **identifier** required | `string` | `"example"` | Email or phone number |
| **request_refresh_token** optional | `boolean` | 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJndWlkIj...' | Generate refresh token (optional) |
| **type** required | `string` | `"email"` | Allowed: `"email"`, `"phone"` |

```
{
  "2fa": [
    "totp"
  ],
  "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJndWlkIjoiYjllZTZhNjMxYjI0In0",
  "default_2fa": "totp",
  "device": {
    "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/140.0 Safari/537.36"
  },
  "expiry": 3600,
  "expiry_renew": 604800,
  "ip": "192.168.1.100",
  "refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJndWlkIjoiYjllZTZhNjMxYjI0In0",
  "refresh_token_expiry": 604800,
  "user": {
    "_meta": {
      "created": 1782080295,
      "entity": 1,
      "guid": "b9ee6a631b24e78d1aa48aef0dc067fff7bfbacd24a56ef4ed1f08e537d48b6b",
      "removed": 0,
      "updated": 1782166695
    },
    "email": "joe@example.com",
    "firstname": "Joe",
    "language": "en",
    "lastname": "Doe",
    "username": "joe"
  },
  "verified": true
}
```

```
{
  "error": "ERROR_KEY"
}
```

| Permission | Description |
| --- | --- |
| `*public` | No authentication required, public endpoint |
